using DataSharing.Share.Dtos.Province.HuiJu;
using FluentValidation;

namespace DataSharing.Validators.HuiJu
{
    public class SubmitCaseResultInfoValidator : AbstractValidator<SubmitCaseResultInfo>
    {
        public SubmitCaseResultInfoValidator()
        {
            RuleFor(d => d.CaseSerial).NotEmpty();
            RuleFor(d => d.DeptName).NotEmpty();
            RuleFor(d => d.FinishTime).NotEmpty();
            RuleFor(d => d.FinishName).NotEmpty();
            RuleFor(d => d.FinishNote).NotEmpty();
            RuleFor(d => d.AreaCode).NotEmpty();
            RuleFor(d => d.EndDept).NotEmpty();
            RuleFor(d => d.EndName).NotEmpty();
            RuleFor(d => d.ConcactType).NotEmpty();
            RuleFor(d => d.FinishType).NotEmpty();
            RuleFor(d => d.SignTime).NotEmpty();
            RuleFor(d => d.FdBackTime).NotEmpty();
            RuleFor(d => d.SendTime).NotEmpty();
            RuleFor(d => d.FdBack).NotEmpty();
            RuleFor(d => d.EndAreaCode).NotEmpty();
            RuleFor(d => d.EndAreaName).NotEmpty();
            RuleFor(d => d.CliengGuid).NotEmpty();
        }
    }
}
